
a:not(.site-btn):hover{
    color: var(--primary-color);
}
.img-fluid {
    width: 100%;
}
.list-style-star.list-heading-3 li{
    background-position: left top 8px;
}
/* ------------------ Blog Listing CSS START ------------------ */
.cat-list li a:hover{color: var(--dark-blue-color);}
.blog-cat-list a:hover{color: var(--primary-color);}
.cat-list li:last-child a{color: var(--dark-blue-color);}
.cat-list li:not(:last-child) a{position: relative;padding-right: 24px;}
.cat-list li:not(:last-child) a:after, .cat-list li:not(:last-child) a:before{
    content: "";
    position: absolute;
    right: 11px;
    top: 10px;
    width: 2px;
    height: 8px;
    transform: rotateZ(50deg);
    border-radius: 30px;
    background-color: var(--dark-blue-color);
}
.cat-list li:not(:last-child) a:before{top: 5px;transform: rotateZ(-50deg);}
.blog-cat-list li a{color: var(--dark-blue-color);font-weight: 500;}
.cate-template-resourcebox .resource-content p{margin-bottom: 0;}
/* ------------------ Blog Listing CSS END ------------------ */
/* ------------------ single blog CSS START ------------------ */
.single-post .single-blog-heading {
    font-size: 32px;
    line-height: 42px;
}
.single-post h2 {
    font-size: 28px;
    line-height: 38px;
}
/* ------------------------- Single post sidebar ------------------------- */
aside#secondary .toc_sticky {
    position: sticky;
    top: 110px;
    position: -webkit-sticky;
    z-index: 99;
}
.single-post .toc_scroll ul.table_of_content li{
    margin-bottom: 12px;
}
.single-post .toc_scroll ul.table_of_content {
    list-style: decimal;
    padding: 0 5px 0 35px;
    max-height: 40vh;
    overflow-y: auto;
    font-weight: normal;
}
.single-post .toc_scroll ul.table_of_content li a{
    color: var(--dark-blue-color);
    font-size: 15px;
    line-height: 23px;
}
.single-post .toc_scroll ul.table_of_content li a:hover {
    color: var(--primary-color);
}
.single-post .toc_scroll ul::-webkit-scrollbar {
    width: 4px;
}
.single-post .toc_scroll ul::-webkit-scrollbar-thumb {
    background: var(--dark-blue-color);
    border-radius: 12px;
}
.single-post .toc_scroll ul::-webkit-scrollbar-track {
    background: var(--white-color);
    border-radius: 12px;
}
.cta_sec .sidebar-cta-btn a{
    padding: 8px 12px;
    z-index: 0;
}
.sidebar-cta-btn a:before{
    left: -1px;
}
.sidebar-cta-btn a:after {
    right: -1px;
}
.sidebar-cta-btn a:before, .sidebar-cta-btn a:after {
    position: absolute;
    content: "";
    width: 0%;
    background-color: var(--primary-color);
    z-index: -1;
    top: -1px;
    bottom: -1px;
    transition: all 0.3s ease;
}
.sidebar-cta-btn a:hover:before, .sidebar-cta-btn a:hover:after {
    width: 52%;
    color: var(--white-color);
}
.sidebar-cta-btn a:hover {
    color: var(--white-color);
}
.single-post .toc_scroll li.toc_active a.toc_active{
    color: var(--primary-color);
}
/* ------------------------- Single post Main Content -------------------------  */
.table>:not(caption)>*>* {
    background: unset;
    color: unset;
}
body.single-post .site-main .site-btn{
    padding: 8px 24px;
}
.single-post ul.blog-checkbox input {
    width: 20px;
    height: 20px;
    margin-top: 0px;
}
.single-post ul.blog-checkbox li {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}
.single-post ul.blog-checkbox label {
    cursor: pointer;
    padding-left: 10px;
}
.single-post blockquote{
    position: relative;
    padding: 20px 50px 20px 60px;
    background-color: var(--primary-color-light);
    margin: 60px 0 30px 25px;
}
.single-post blockquote:before{
    position: absolute;
    content: "";
    width: 60px;
    height: 60px;
    left: -25px;
    top: -20px;
    background: url(https://media.excellentwebworld.com/wp-content/uploads/2026/05/06123806/block-quote.svg) no-repeat;
    background-size: 100% 100%;
}
.single-post blockquote p{
    margin-bottom: 0;
}
.single-post table {
    border: 1px solid var(--grey-color-50);
}
.single-post .table-striped tbody tr:nth-of-type(odd) {
    background-color: var(--primary-color-light);
}
.single-post table tr th{
    align-content: center;
}
.single-post td, .single-post th {
    border-top: 1px solid var(--grey-color-50);
    padding: 8px 10px 8px 5px;
    border-right: 1px solid var(--grey-color-50);
}
.single-post .about_cta_sec{
    background: var(--primary-color) url(https://media.excellentwebworld.com/wp-content/uploads/2025/11/19120543/blue-cta-bg.webp) center center / 100% auto no-repeat border-box;
}
.single-post .about_cta_sec .site-btn, .single-post .blog-box-design .site-btn{
    padding: 8px 24px;
}
.single-post .stats-box-design{
    background: linear-gradient(323.92deg, var(--primary-color) 2.33%, var(--blue-color) 97.97%);
    width: 90%;
    padding: 70px 60px;
}
.carousel.slide .carousel-indicators{
    bottom: -45px;
}
.carousel.slide .carousel-indicators li{
    width: 15px;
    height: 15px;
    background-color: var(--dark-blue-color);
    border-radius: 50%;
}
.carousel.slide .carousel-indicators li::marker{
    content: none;
}
.single-post .blog-arrow-carousal .carousel-inner {
    width: 90%;
    margin-inline: auto;
}
.single-post .blog-arrow-carousal .carousel-control-prev, .single-post .blog-arrow-carousal .carousel-control-next {
    width: auto;
    max-height: max-content;
    top: 50%;
    transform: translateY(-50%);
    background-image: none;
}
.single-post .blog-arrow-carousal .carousel-control-prev .carousel-control-prev-icon, .single-post .blog-arrow-carousal .carousel-control-next .carousel-control-next-icon {
    background-size: 16px;
    background-color: var(--dark-blue-color);
    padding: 19px;
    border-radius: 33px;
}
.blog-newsleteer-section {
    padding: 35px 80px;
    background: var(--primary-color-light);
}
/* ------------------ single blog CSS END ------------------ */
/* ------------------ Author page CSS START ------------------ */
.authorbox{background: url(https://media.excellentwebworld.com/wp-content/uploads/2023/05/15064143/EWW_Header_Image.jpg) top center / 100% 750px no-repeat;}
.authorbox .author-img{object-fit: cover; object-position: top; width: 100%;}
.author-topics ul.author-topic-listing li{border: 1px solid var(--secondary-color);}
.author-sidebar .achievements-article .article-box div{-webkit-line-clamp: 1;}
body.author .blog-list{width: calc(33.33% - 16px);}
/* ------------------ Author page CSS END ------------------ */
/* ------------------ App Of the Week Page CSS START ------------------ */
.app-of-the-wwek-tabs.nav-tabs .nav-link.active {
    color: var(--white-color);
    background-color: var(--primary-color) !important;
}
.app-of-the-wwek-tabs.nav-tabs .nav-link {
    background: var(--primary-color-light);
    margin-right: 5px;
}




/* ------------------ App Of the Week Page CSS END ------------------ */
@media screen and (max-width:1200px){
    /* ------------------ Author page CSS START ------------------ */
    body.author .blog-list{width: calc(33.33% - 11px);}
    /* ------------------ Author page CSS END ------------------ */
}
@media screen and (max-width:991px){
    /* ------------------ single blog Responsive CSS START ------------------ */
    .single-post .single-blog-heading {
        font-size: 30px;
        line-height: 40px;
    }
    .single-post #secondary {
        margin-top: 0;
    }
    .single-post .toc_scroll>div{
        box-shadow: 0px 4px 12px -6px rgb(0 0 0 / 30%);
        margin-bottom: 10px;
    }
    .toc_sticky .toc_scroll h3 {
        position: relative;
    }
    .single-post .toc_scroll ul.table_of_content{
        max-height: max-content;
        height: 0;
        transition: all 0.3s ease;
    }
    .single-post .toc_scroll ul.table_of_content li:first-child {
        margin-top: 15px;
    }
    .single-post .toc_scroll ul.open {
        height: auto;
    }
    .toc_sticky .toc_scroll:has(.table_of_content.open) h3:before {
        transform: rotateZ(180deg) translateY(50%);
    }
    .toc_sticky .toc_scroll h3:before {
        content: "";
        position: absolute;
        top: 50%;
        right: 10px;
        transform: translateY(-50%);
        width: 20px;
        height: 20px;
        background: url(https://media.excellentwebworld.com/wp-content/uploads/2026/03/02052853/angle-down-solid-arrow.svg) center / auto no-repeat;
        transition: all 0.3s ease;
    }
    .single-post .toc_sticky .cta_sec{
        display: none;
    }
    /* ------------------ single blog Responsive CSS END ------------------ */
}
@media screen and (max-width:767px){
    /* ------------------ single blog Responsive CSS START ------------------ */
    .single-post .single-blog-heading {
        font-size: 28px;
        line-height: 38px;
    }
    /* ------------------------- Single post Main Content -------------------------  */
    .list-style-star.list-heading-3 li {
        background-position: left top 6px;
    }
    /* ------------------ single blog Responsive CSS END ------------------ */
    /* ------------------ Author page CSS START ------------------ */
    body.author .blog-list {
        width: calc(50% - 8px);
    }
    /* ------------------ Author page CSS END ------------------ */
}
@media screen and (max-width:575px){
    /* ------------------ single blog Responsive CSS START ------------------ */
    .single-post .single-blog-heading {
        font-size: 24px;
        line-height: 34px;
    }
    /* ------------------ single blog Responsive CSS END ------------------ */
    /* ------------------ Author page CSS START ------------------ */
    body.author .blog-list {
        width: 100%;
    }
    /* ------------------ Author page CSS END ------------------ */
}
